Subject: Re: commitfest.postgresql.org is no longer fit for purpose

From: Tom Lane <[email-masked]>
Date: Thu, 16 May 2024 18:03:04 -0400

Daniel Gustafsson <[email-masked]> writes:
> Pulling in the information from the CFBot regarding test failures and whether
> the patch applies at all, and automatically altering the state to WOA for at
> least the latter category would be nice.

+1.  There are enough intermittent test failures that I don't think
changing state for that would be good, but patch apply failure is
usually persistent.

I gather that the CFBot is still a kluge that is web-scraping the CF
app rather than being actually integrated with it, and that there are
plans to make that better that haven't been moving fast.  Probably
that would have to happen first, but there would be a lot of benefit
from having the info flow be two-way.

			regards, tom lane